# Please refer to the latest stable versions of Galactus and AutoMuteUs when specifying these versions.
# Note, using versions that are not SemVer format (x.y.z) is NOT recommended, as these can be experimental or unsupported
AUTOMUTEUS_TAG=
GALACTUS_TAG=

# Automuteus: https://github.com/automuteus/automuteus/releases
# or https://hub.docker.com/r/automuteus/automuteus/tags
# Galactus: https://github.com/automuteus/galactus/releases
# or https://hub.docker.com/r/automuteus/galactus/tags

# change these, but see comment block down below about HOST/PORT
DISCORD_BOT_TOKEN=
GALACTUS_HOST=
GALACTUS_EXTERNAL_PORT=
# GALACTUS_HOST can include the port or not. If you don't include the port,
# it will default to :80/:443 depending on http:// v https://
# **Make sure that GALACTUS_EXTERNAL_PORT matches the Port for the above host, UNLESS you use a reverse proxy/nginx!!!**
# Ex: if GALACTUS_HOST=http://localhost, then GALACTUS_EXTERNAL_PORT should be 80 (HTTP)
# Ex: if GALACTUS_HOST=https://localhost, then GALACTUS_EXTERNAL_PORT should be 443 (HTTPS)
# Ex: if GALACTUS_HOST=http://localhost:8123, then GALACTUS_EXTERNAL_PORT should be 8123
# If you use a reverse proxy, then GALACTUS_HOST should have the port of your reverse proxy, and it should proxy to the
# GALACTUS_EXTERNAL_PORT (ex 443 -> 8123)

# recommend changing these to something more secure
POSTGRES_USER=postgres
POSTGRES_PASS=putsomesecretpasswordhere

# Optional, leave alone by default
EMOJI_GUILD_ID=
BASE_MAP_URL=
# comma-separated
WORKER_BOT_TOKENS=
CAPTURE_TIMEOUT=
AUTOMUTEUS_LISTENING=
AUTOMUTEUS_GLOBAL_PREFIX=
# comma-separated
SLASH_COMMAND_GUILD_IDS=
STOP_GRACE_PERIOD=

# DO NOT change these unless you really know what you're doing
BROKER_PORT=8123
GALACTUS_PORT=5858
GALACTUS_REDIS_ADDR=redis:6379
AUTOMUTEUS_REDIS_ADDR=redis:6379
GALACTUS_ADDR=http://galactus:5858
POSTGRES_ADDR=postgres:5432
